
Installer - Tracker #18471

Drop Puppet 3 support (installer modules)

02/13/2017 06:18 AM - Ewoud Kohl van Wijngaarden

Status: Closed % Done: 0%

Priority: Normal   

Assignee:    

Category: Foreman modules   

Target version: 1.16.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

Officially Puppet 3 is already EOL since 1-1-2017. Both Puppetlabs and Voxpupuli (our only dependencies) are dropping Puppet 3

support as well so soon we'll need to start pinning on older versions.

This is a tracker bug aiming to deprecate Puppet 3 in our installer (including its modules) for Foreman 1.15 and drop support for 1.16.

Related issues:

Related to Installer - Feature #18472: Add an option to upgrade puppet 3 to p... Rejected

History

#1 - 02/13/2017 06:21 AM - Ewoud Kohl van Wijngaarden

- Blocked by Feature #18472: Add an option to upgrade puppet 3 to puppet 4 in the installer added

#2 - 05/17/2017 06:34 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Ready For Testing

Given all our modules dropped Puppet 3 and are using Puppet 4 I think we can close this. Looks like I don't have permission to though.

#3 - 05/18/2017 03:07 AM - Dominic Cleal

- Blocked by deleted (Feature #18472: Add an option to upgrade puppet 3 to puppet 4 in the installer)

#4 - 05/18/2017 03:07 AM - Dominic Cleal

- Related to Feature #18472: Add an option to upgrade puppet 3 to puppet 4 in the installer added

#5 - 05/18/2017 03:07 AM - Dominic Cleal

- Category set to Foreman modules

- Status changed from Ready For Testing to Closed

- translation missing: en.field_release set to 240

#6 - 09/25/2017 09:41 AM - Daniel Lobato Garcia

- Subject changed from Drop Puppet 3 support to Drop Puppet 3 support (installer modules)
